GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# list

Image list support

# AppendImageToList

## Synopsis

    AppendImageToList( Image ** images, Image *image );

## Description

AppendImageToList() appends an image to the end of the list. Please note that this API allows the list pointer to be updated and in fact it now updates the list pointer to be the image (or the end of the image list) which was just added.

The format of the AppendImageToList method is:

    AppendImageToList( Image ** images, Image *image );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

# CloneImageList

## Synopsis

    Image *CloneImageList( const Image *images, ExceptionInfo *exception );

## Description

CloneImageList() returns a duplicate of the image list.

The format of the CloneImageList method is:

    Image *CloneImageList( const Image *images, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

exception:

  Return any errors or warnings in this structure.

# DeleteImageFromList

## Synopsis

    DeleteImageFromList( Image ** images );

## Description

DeleteImageFromList() deletes an image from the list.

The format of the DeleteImageFromList method is:

    DeleteImageFromList( Image ** images );

A description of each parameter follows:

images:

  The image list.

# DestroyImageList

## Synopsis

    void DestroyImageList( Image *image );

## Description

DestroyImageList() destroys an image list. There is no effect if the image pointer is null.

The format of the DestroyImageList method is:

    void DestroyImageList( Image *image );

A description of each parameter follows:

image:

  The image sequence.

# GetFirstImageInList

## Synopsis

    Image *GetFirstImageInList( const Image *images );

## Description

GetFirstImageInList() returns a pointer to the first image in the list

The format of the GetFirstImageInList method is:

    Image *GetFirstImageInList( const Image *images );

A description of each parameter follows:

images:

  The image list.

# GetImageFromList

## Synopsis

    Image *GetImageFromList( const Image *images, const long offset );

## Description

GetImageFromList() returns an image at the specified offset from the list.

The format of the GetImageFromList method is:

    Image *GetImageFromList( const Image *images, const long offset );

A description of each parameter follows:

images:

  The image list.

offset:

  The position within the list.

# GetImageIndexInList

## Synopsis

    long GetImageIndexInList( const Image *images );

## Description

GetImageIndexInList() returns the offset in the list of the specified image.

The format of the GetImageIndexInList method is:

    long GetImageIndexInList( const Image *images );

A description of each parameter follows:

images:

  The image list.

# GetImageListLength

## Synopsis

    unsigned long GetImageListLength( const Image *images );

## Description

GetImageListLength() returns the length of the list (the number of images in the list).

The format of the GetImageListLength method is:

    unsigned long GetImageListLength( const Image *images );

A description of each parameter follows:

images:

  The image list.

# GetLastImageInList

## Synopsis

    Image *GetLastImageInList( const Image *images );

## Description

GetLastImageInList() returns a pointer to the last image in the list

The format of the GetLastImageInList method is:

    Image *GetLastImageInList( const Image *images );

A description of each parameter follows:

images:

  The image list.

# GetNextImageInList

## Synopsis

    Image *GetNextImageInList( const Image *images );

## Description

GetNextImageInList() returns the next image in the list.

The format of the GetNextImageInList method is:

    Image *GetNextImageInList( const Image *images );

A description of each parameter follows:

images:

  The image list.

# GetPreviousImageInList

## Synopsis

    Image *GetPreviousImageInList( const Image *images );

## Description

GetPreviousImageInList() returns the previous image in the list.

The format of the GetPreviousImageInList method is:

    Image *GetPreviousImageInList( const Image *images );

A description of each parameter follows:

images:

  The image list.

# ImageListToArray

## Synopsis

    Image ** ImageListToArray( const Image *images, ExceptionInfo *exception );

## Description

ImageListToArray() is a convenience method that converts an image list to a sequential array. For example,

group = ImageListToArray(images, exception); for (i = 0; i < n; i++) puts(group[i]->filename);

The format of the ImageListToArray method is:

    Image ** ImageListToArray( const Image *images, ExceptionInfo *exception );

A description of each parameter follows:

image:

  The image list.

exception:

  Return any errors or warnings in this structure.

# InsertImageInList

## Synopsis

    InsertImageInList( Image ** images, Image *image );

## Description

InsertImageInList() inserts an image in the list.

The format of the InsertImageInList method is:

    InsertImageInList( Image ** images, Image *image );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

# NewImageList

## Synopsis

    Image *NewImageList( void );

## Description

NewImageList() creates an empty image list.

The format of the NewImageList method is:

    Image *NewImageList( void );

# PrependImageToList

## Synopsis

    PrependImageToList( Image *images, Image *image );

## Description

PrependImageToList() prepends the image to the beginning of the list.

The format of the PrependImageToList method is:

    PrependImageToList( Image *images, Image *image );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

# RemoveFirstImageFromList

## Synopsis

    Image *RemoveFirstImageFromList( Image ** images );

## Description

RemoveFirstImageFromList() removes an image from the beginning of the list.

The format of the RemoveFirstImageFromList method is:

    Image *RemoveFirstImageFromList( Image ** images );

A description of each parameter follows:

images:

  The image list.

# RemoveLastImageFromList

## Synopsis

    Image *RemoveLastImageFromList( Image ** images );

## Description

RemoveLastImageFromList() removes the last image from the list.

The format of the RemoveLastImageFromList method is:

    Image *RemoveLastImageFromList( Image ** images );

A description of each parameter follows:

images:

  The image list.

# ReplaceImageInList

## Synopsis

    ReplaceImageInList( Image ** images, Image *image );

## Description

ReplaceImageInList() replaces an image in the list.

The format of the ReplaceImageInList method is:

    ReplaceImageInList( Image ** images, Image *image );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

# ReverseImageList

## Synopsis

    ReverseImageList( const Image ** images );

## Description

ReverseImageList() reverses the image list.

The format of the ReverseImageList method is:

    ReverseImageList( const Image ** images );

A description of each parameter follows:

images:

  The image list.

# SpliceImageIntoList

## Synopsis

    SpliceImageIntoList( Image ** images, const unsigned long length, Image *splice );

## Description

SpliceImageIntoList() removes 'length' images from the list and replaces them with the specified splice.

The format of the SpliceImageIntoList method is:

    SpliceImageIntoList( Image ** images, const unsigned long length, Image *splice );

images:

  The image list.

length:

  The length of the image list to remove.

splice:

  Replace the removed image list with this list.

# SplitImageList

## Synopsis

    Image *SplitImageList( Image *images );

## Description

SplitImageList() splits an image into two lists.

The format of the SplitImageList method is:

    Image *SplitImageList( Image *images );

A description of each parameter follows:

images:

  The image list.

Copyright © GraphicsMagick Group 2002-2025